| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryCACGroupRequest Struct Reference
Call Admission Control

Query CAC Group request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | BusinessGroupName
| The name of the Business Group associated with the CAC Group to be queried. More...
xsd__string | BranchOfficeName
| The name of the Branch Office associated with the CAC Group to be queried. More...
xsd__string | CACGroupName
| The name of the CAC Group to be queried. More...
enum unsp__CACGroupType * | CACGroupType
| Indicates the CAC Group Type to be queried. More...
unsp__IPAddress | RouterIPAddress
| An IP Address string representing the router associated with the CAC Group serving the WAN. More...
xsd__string | CACGroupMember
| The name of a CAC Group Member. More...
xsd__string | InterfaceName
| The name of an interface of a CAC Group. More...
enum unsp__CACAccessLinkType * | CACAccessLinkType
| The first access link type of the CAC group. More...

## Detailed Description

Query CAC Group request.

Used by unsp__QueryCACGroup()

## Member Data Documentation

## ◆ BranchOfficeName

xsd__string unsp__QueryCACGroupRequest::BranchOfficeName

The name of the Branch Office associated with the CAC Group to be queried.

This is an optional filter for the query. If a BranchOfficeName is specified, information is returned for only that particular branch office.
required: false

See also
  unsp__BOName

## ◆ BusinessGroupName

xsd__string unsp__QueryCACGroupRequest::BusinessGroupName

The name of the Business Group associated with the CAC Group to be queried.

This is an optional filter for the query. If a BusinessGroupName is specified, information is returned for only that particular business group.
required: false

See also
  unsp__BGName

## ◆ CACAccessLinkType

enum unsp__CACAccessLinkType* unsp__QueryCACGroupRequest::CACAccessLinkType

The first access link type of the CAC group.

With this filter, the info of CAC Groups with this access link type, can be retrieved.
required: false
default value[range]: NA

## ◆ CACGroupMember

xsd__string unsp__QueryCACGroupRequest::CACGroupMember

The name of a CAC Group Member.

With this filter, the info of the CAC Group, that this member is belonging to, can be retrieved. A specific member can only belong to one CAC Group.
required: false
default value[range]: NA [1..31]

## ◆ CACGroupName

xsd__string unsp__QueryCACGroupRequest::CACGroupName

The name of the CAC Group to be queried.

This is an optional filter for the query. If a CACGroupName is specified, information is returned for only that particular CAC Group. CAC Group Name filter also supports wildcards:

- * for 0 or more matches, and,
- ? exact one match.

In this case, one or more CAC Groups could be returned. This input is logical ANDed with all the other filter inputs (if any). A CACGroupName with wildcards cannot co-exist in the same filter with a CACGroupMember filter.

required: false

See also
  unsp__CGName

## ◆ CACGroupType

enum unsp__CACGroupType* unsp__QueryCACGroupRequest::CACGroupType

Indicates the CAC Group Type to be queried.

This is an optional filter for the query. If a CAC Group Type is specified, information is returned only for CAC Groups of the specified type.
required: false
default value[range]: NA

## ◆ InterfaceName

xsd__string unsp__QueryCACGroupRequest::InterfaceName

The name of an interface of a CAC Group.

With this filter, the info of the CAC Groups, that this interface is belonging to, can be retrieved.
required: false
default value[range]: NA

## ◆ InterfaceWSDL

char* unsp__QueryCACGroupRequest::InterfaceWSDL

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ OperatorId

xsd__string unsp__QueryCACGroupRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryCACGroupRequest::Paging

Standard paging structure.

required: false

## ◆ RouterIPAddress

unsp__IPAddress unsp__QueryCACGroupRequest::RouterIPAddress

An IP Address string representing the router associated with the CAC Group serving the WAN.

Providing this parameter allows for the query of a CAC Group based on a known Router IP Address.
required: false
default value[range]: NA [1..30]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h